<!-- app/views/layouts/_navbar.html.erb -->
<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <div class="container">
    <a class="navbar-brand" href="<%= root_path %>">Culrutal Quiz Platform</a>
    <% if user_signed_in? %>
        <ul class="navbar-nav me-auto mb-2 mb-lg-0">
            <li class="nav-item">
              <%= link_to 'Lesson', lessons_path, class: 'nav-link' %>
            </li>
            <li class="nav-item">
              <% if current_user&.email == 'teacher@quizapp.com' %>
                <%= link_to 'Quiz', quizzes_path, class: 'nav-link' %>
              <% end %>
            </li>
            <li class="nav-item">
              <%= link_to 'Take Quiz', take_quiz_index_path, class: 'nav-link' %>
            </li>
            <li class="nav-item">
              <%= link_to 'Leaderboards', leaderboards_path, class: 'nav-link' %>
            </li>

        </ul>
    <% end %>

  
    <!-- User Section -->
    <ul class="navbar-nav ms-auto mb-2 mb-lg-0">
      <% if user_signed_in? %>
        <!-- When User is Signed In -->
        <li class="nav-item">
          <a class="nav-link" href="#">
            <%= current_user.email %> <i class="fas fa-user"></i> <!-- Display user email and user icon -->
          </a>
        </li>
        <li class="nav-item">
          <%= link_to destroy_user_session_path, method: :delete, class: 'nav-link' do %>
            <i class="fas fa-sign-out-alt"></i> Logout <!-- Sign out icon and text -->
          <% end %>
        </li>
      <% else %>
        <!-- When User is Not Signed In -->
        <li class="nav-item">
          <%= link_to 'Sign In', new_user_session_path, class: 'nav-link' %>
        </li>
      <% end %>
    </ul>


  </div>
</nav>
